Skip to main content
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
from-profile
Instantiate Stack Profile Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile"

payload = { "profile_id": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_id: '<string>'})
};

fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile_id": "<string>"
}
'
{
  "addons_count": 123,
  "draft_id": "<string>",
  "manifests_count": 123,
  "profile_version": 123,
  "stack_name": "<string>",
  "deployed": false,
  "job_count": 0,
  "operation_id": "<string>",
  "warnings": []
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Body

application/json
profile_id
string<uuid4>
required
deploy
boolean
default:false
new_stack_name
string | null
parameters
ParameterBinding · object[]
version
integer | null

Response

Successful Response

addons_count
integer
required
draft_id
string<uuid4>
required
manifests_count
integer
required
profile_version
integer
required
stack_name
string
required
deployed
boolean
default:false
job_count
integer
default:0
operation_id
string<uuid4> | null
warnings
string[]